Subject: Re: [manet] Propose update RFC2501

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 09:27:42 +0200

Hi Joe,

This is a reminder to a post I send before you as one author of
RFC2501, and the below. I need your respond to my suggestion. I
thought you will discuss it in the meeting but you did not mention it,
please comment/advise,

AB
====

On 7/4/12, Abdussalam Baryun <[email-masked]> wrote:
> Hi All,
>
> I want to propose draft-ietf work to be done on update the RFC2501,
> which I don't mind doing, on the following issues:
>
> 1- to include all active MANET routing RFCs as describing its network
> characteristics and its network context applicability, as mentioned by
> section-6.
> 2- to include the RFC5444 characteristics, or benefits to MANET
> performance.
> 3- to include NHDP RFC6130.
> 4- IPv6 considerations
> 5- Add more information in characteristic section on issue of
> reliability and scalability.
>
> RFC2501> 3. Characteristics of MANETs
> MANETs have several salient characteristics:
> AB>Add>    5) issue of variable E2E delay and node disconnecting from
> MANET.
> AB> suggest> to consider LLN
>
> 2501> 5. IP-Layer Mobile Routing
> AB> interfaces as physical layer technology, what about interfaces as
> logical? in some other parts we read wireless interface
>
> 2501> 5>Future interoperability may be achieved using mechanisms other than
> mobile IP.
> AB> Are we there, could we answer to add some?
>
> 2501>5>Supporting these features appears only to require identifying
> host and router interfaces with IP addresses, identifying a router
> with a separate Router ID, and permitting routers to have multiple
> wired and wireless interfaces.
> AB> replace "host and router" with " router" as it was done in DYMO and
> OLSRv2
>
> 2501>  4) Proactive operation: The flip-side of demand-based operation.
> AB> not clear
>
> 2501> Section 6.7,   Duplex link and bidirectional link
> AB> why we use *duplex* with *link*, duplex is related to the
> interface system more than the link, so I recommend only using
> *bidirectional-link* and replace duplex-link.
>
> 2501> The following is a list of quantitative metrics that can be used to
> assess the performance of any routing protocol.
> AB> add examples of new metric used in industry or by active manet
> protocols
>
> 2501> 7. Security Considerations
> AB> Needs to be amended to consider new techniques
>
> The purpose of the proposed update, is first because RFC2501 is a
> reference to many new RFCs and that updates directs progress designs.
> Please note that I will not do this work until most active participant
> agree, thanking you,
>
> Best Regards
> Abdussalam
>
> +++++++++++++++++++++++++++++++++++++++++++++++++++++
> On 6/21/12, Charles E. Perkins <[email-masked]> wrote:
>>
>> Hello Abdussalam,
>>
>> I didn't see what part of RFC 2501 needed to be revised.
>> Do you have a specific proposal?  I think that, before you
>> could expect any discussion on revising that document,
>> you would have to point out what part or parts need
>> work.
>>
>> Regards,
>> Charlie P.
>>
>> On 6/21/2012 9:10 AM, Abdussalam Baryun wrote:
>>>> Could we Update RFC2501?
>>> I see that RFC2501 some how defines MANET technologies, which will be
>>> a good reference in the draft I am writting of L2 subnets, but maybe
>>> RFC2501 is enough for the protocols, and no need for a new draft.
>>> However, that will depend on the WG discussion and decision :)
>>>
>>> I got no answer of the question so far, therefore, I will propose it
>>> to be discussed in the next meeting IETF 84.
>>>
>>> AB
>>> =====================================================
>>> On 6/6/12, Abdussalam Baryun<[email-masked]>  wrote:
>>>> Hi Folks,
>>>>
>>>> the RFC2501 is the best RFC I read and I like it because it is easy to
>>>> read, understandable, and covers solid issues of MANET. I hope the
>>>> authors give us a feedback if they want to make new one as Version 2.
>>>>
>>>> I see that it is old (1999), and it may be interesting to update it
>>>> some how, I hope the authors can update its issues and evaluation, now
>>>> we got new RFCs and industries have new needs than 90s, it does not
>>>> cover different devices constraints as sensors and LLNs, and IPv6,
>>>> 6LoWPAN, furthermore, some old MANET routings RFC3561, RFC3626 are
>>>> getting renew versions.
>>>>
>>>> As I can see OLSRv2 and AODVv2 are going in progress, why we don't try
>>>> to update RFC2501 as well, it will only take few days or a month, to
>>>> draft and submit so why leave it old-documents with old
>>>> considerations? Please advise,
>>>>
>>>> Abdussalam Baryun
>>>> University of Glamorgan, UK.
>>>> =========================================================
>>>>
>>> _______________________________________________
>>> manet mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/manet
>>>
>>
>>
>> --
>> Regards,
>> Charlie P.
>>
>>
>

---

From: Joseph Macker <[email-masked]>
Date: Wed, 1 Aug 2012 10:40:43 -0700

I responded to you already that I thought it was a bad idea.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Wed, 1 Aug 2012 10:45:12 -0700

+1 (which I also already did, I think)

-- 
Thomas Heide Clausen
http://www.thomasclausen.org/

"Any simple problem can be made insoluble if enough meetings are held to
 discuss it."
   -- Mitchell's Law of Committees

On 1 Aug 2012, at 10:40, Joseph Macker <[email-masked]> wrote:

> On Wed, Aug 1, 2012 at 12:27 AM, Abdussalam Baryun <[email-masked]> wrote:
> Hi Joe,
>

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Wed, 1 Aug 2012 17:45:55 +0000

I concur with Joe's opinion. This update is a bad idea.

Stan

On Aug 1, 2012, at 1:40 PM, Joseph Macker wrote:

On Wed, Aug 1, 2012 at 12:27 AM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
Hi Joe,

AB
====

On 7/4/12, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
> On 6/21/12, Charles E. Perkins <[email-masked]<mailto:[email-masked]>> wrote:
>>
>> Hello Abdussalam,
>>
>>> On 6/6/12, Abdussalam Baryun<[email-masked]<mailto:[email-masked]>>  wrote:
>>>> Hi Folks,
>>>>
>>> [email-masked]<mailto:[email-masked]>

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2012 19:47:31 +0200

Hi Joe,

Thanks for your comment. could I know the reason please, for the future,

AB
==

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 26 Aug 2012 15:44:35 +0200

++++++++second reminder++++++++++
Hi

could I know why it is bad idea in relation to the reasons of update posted?

AB
---

---

From: jpmacker <[email-masked]>
Date: Sun, 26 Aug 2012 13:33:18 -0400

its an infomational thats not critical to our wg progress right now and does not need updating in my opinion.   Many other wg members have expressed their disagreement to the Proposal as wg activity also. can you accept the negative wg feedback or not?

Sent from my iPad

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 27 Aug 2012 08:17:34 +0200

It is an informational, but all standards related to MANET WG point to
its information. RFC2501's information can be critical because it
describes many issues related to manet-routing which routing-standards
refer to. IMHO, informational RFCs need *update* more frequent (if
concepts/standards/information are changed in IETF) than standard
RFCs, because standards maybe used by the internet industry, but
informational-RFCs are used by participants in IETF and are referenced
by other RFCs/new-I-Ds. I prefer to reference to updated information
if needed.

> Many other wg members have expressed
> their disagreement to the Proposal as wg activity also. can you accept the
> negative wg feedback or not?

Yes it is ok/accepted for now, just needed the authors reason, so I
can go forward (if I refer or not to it in a work I am doing).
However, few wg participants (maybe five) disagreed, and some still
did not decide or reply (I MAY understand as agreed with proposal).
Thanks,

Best Regards,
AB
---------------------
On 8/26/12, jpmacker <[email-masked]> wrote:
> its an infomational thats not critical to our wg progress right now and does
> not need updating in my opinion.   Many other wg members have expressed
> their disagreement to the Proposal as wg activity also. can you accept the
> negative wg feedback or not?
>
>
> Sent from my iPad
>
>>>>>> 2501> 5>Future interoperability may be achieved using mechanisms
>>>>>> other
>>>>> than
>>>>>> mobile IP.
>>>>>> 2501> The following is a list of quantitative metrics that can be
>>>>>> used
>>>>>> to
>>>>>>>>> the RFC2501 is the best RFC I read and I like it because it is
>>>>>>>>> easy
>>>>>>>>> to